%global _orig_name fping

Name:           op5-fping
Version:        5.0
Release:        %{op5release}%{?dist}
Summary:        Scriptable, parallelized ping-like utility
Group:          Applications/System
License:        BSD
URL:            http://www.fping.org
Source0:        https://github.com/schweikert/fping/releases/download/v%{version}/%{_orig_name}-%{version}.tar.gz
Source1:        sysctl.conf

Provides:       %{_orig_name} = %{version}
Obsoletes:      %{_orig_name} < 5.0

%description
fping is a program to send ICMP echo probes to network hosts, similar to ping,
but much better performing when pinging multiple hosts. fping has a very long
history: Roland Schemers did publish a first version of it in 1992 and it has
established itself since then as a standard tool for network diagnostics and
statistics.


%prep
%setup -q -n %{_orig_name}-%{version}


%build
%configure
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install
%{__install} -D -m 644 %{SOURCE1} %{buildroot}%{_sysctldir}/70-op5-fping.conf


%post
%sysctl_apply %{_sysctldir}/70-op5-fping.conf


%files
%{_sbindir}/fping
%{_mandir}/*/fping*
%{_sysctldir}/70-op5-fping.conf
%license COPYING
%doc README.md



%changelog
* Mon Feb 08 2021 Aksel Sjögren <asjogren@itrsgroup.com>
- Initial package of fping v5.0.
